input[type='number']
  -moz-appearance: textfield
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button
  -webkit-appearance: none
.count-container
  margin-top: 5%
.workspace-link
  display: flex
  text-decoration: underline
  color: $dodger-blue
  font-size: 15px
  cursor: pointer
  margin-top: 10%
  span
    padding-left: 5%
.push-me
  width: 100px
  height: 30px
  background-color: black

.workspace-submit-text
  height: 46px
  width: 288px
  color: #B3C0CE
  font-size: 15px
  letter-spacing: 0.29px
  line-height: 23px
  text-align: center
  margin: 0 auto
  padding-bottom: 10%

.submit
  background-color: $button-primary
  color: #ffffff
  width: 74px
  text-align: center
  border-radius: 8px
  cursor: pointer

.submitted
  height: 22px
  color: $button-primary
  width: 74px
  text-align: center
  border-radius: 8px
  border: 1px solid $button-primary

.confirm-button
  height: 39px
  width: 130px
  color: #FFFFFF
  font-size: 13px
  line-height: 20px
  text-align: center
  background-color: $button-modal
  border-radius: 10px
  text-transform: uppercase
.cancel-button
  height: 39px
  width: 130px
  font-size: 13px
  line-height: 20px
  text-align: center
  color: $button-modal
  text-decoration: underline
  text-transform: uppercase
  border: none

.ui-textarea
  position: relative
  margin-top: 10%

.with-error
  position: absolute
  width: 160px
  height: auto
  color: #FF4A7A
  left: 0
  margin-top: 2px
  font-family: "Titillium Web"
  font-size: 11px
  font-weight: 600
  line-height: 16px
  z-index: 10
  white-space: nowrap

.sidebar-content
  display: flex
  flex-direction: column
  justify-content: space-between
  height: 100%
  width: 290px
  margin: 0 auto
  overflow: auto
  .bottomButton
    margin-bottom: 20%
    .checkbox-item
      position: relative
      &:hover
        .tool-tip-text
          display: block
          position: absolute
          z-index: 9999
          width: 176px
          top: -35px
          left: 156px

.navigation
  width: 60px
  background-color: #FFFFFF
  box-shadow: 1px 0 0 0 $box-shadow-light
  display: inline-block
  flex-direction: column
  border-right: 1px solid $box-shadow
  &.with-modal
    width: auto!important
  span
    display: none
  &-link
    padding: 0 15px 32px 15px
    display: flex
    align-items: center
    transition: 0.3s
    &:hover
      svg, g, use
        fill: $svg-hover
      span
        color: $svg-hover
    &.active
      svg, g, use
        fill: $header-blue
      span
        color: $header-blue
    span
      color: $gray-menu-font
      font-size: 12px
      font-weight: 600
      line-height: 19px
      padding-left: 11px
      text-transform: uppercase

.navigation.active
  width: 240px
  max-height: calc(100vh - 64px)
  span
    display: block
  .modals-title
    color: #666666
    font-family: "Titillium Web"
    flex: 1
    text-align: center
    font-size: 22px
    letter-spacing: 0.42px
    line-height: 34px
    padding-left: 60px


  &-link
    padding: 0 5px 32px 32px
.sidebar-close
  cursor: pointer
  padding-right: 5%
  img
    cursor: pointer

.withModal
  width: 440px
  background-color: #FFFFFF
  box-shadow: 1px 0 0 0 $box-shadow-light
  display: flex
  flex-direction: column
  border-right: 1px solid $box-shadow
  transform: translateX(-100%)
  transition: all .01s linear
  max-height: calc(100vh - 64px)
  &-cloak
    position: absolute
    width: 100vw
    height: 169px
    top: -63px
    left: 100%
  .modal-top

    display: none
    height: 100px
    justify-content: center
    flex-direction: column
    border-bottom: 1px solid $box-shadow

    .modals-subject
      color: $plan-color
      font-size: 15px
      white-space: nowrap
      overflow: hidden
      text-overflow: ellipsis
      width: 50%
      text-align: center

    .modals-subtitle
      flex-direction: row
      display: flex
      justify-content: flex-end
      width: 90%
      img
        cursor: pointer

  .modal-row
    position: relative

    .tool-tip
      left: 95px
      top: 8px
      margin: 0

  .addMore
    position: relative
    .input-field input
      padding-right: 33px
    .addLinkGrey, .addLink
      margin: 0
      top: 7px
      right: 0
  .bottomButton
    position: absolute
    width: 100%
    left: 0
    bottom: 0
    margin: 0
    padding: 20px 0
    background: white
    z-index: 100
    text-align: center
    .btn-modal
      margin-top: 0
      max-width: 290px
  .sidebar-content
    padding-bottom: 80px
    width: 100%
    display: flex
    align-items: center
    .popup-container
      width: 290px
      display: flex
      flex-direction: column
      justify-content: space-between
      flex: 1
      .input-field input:disabled
        border-bottom: 1px solid rgba(102, 102, 102, 0.5)
        text-align: left
        background: white
      .exclude-container
        display: flex
        align-items: center
        color: #448AFF
        font-family: "Titillium Web"
        font-weight: 600
        letter-spacing: 0.29px
        padding-bottom: 10px
        position: relative
        .ModalCheckBox
          margin-right: 10px
        .tool-tip-text
          top: 20px
          right: -15px
          cursor: pointer
          &:before
            top: -6px
            right: 23px
            left: auto
            border: none
            width: 14px
            height: 14px
            transform: rotate(45deg)
            background: #0079C4

.withModal.active
  z-index: 100
  height: 100%
  position: relative
  transform: translateX(0%)
  overflow-x: hidden
  .modal-top
    display: flex
    margin-bottom: 10%
  .modal-select
    padding-right: 15%
    .select-button
      font-size: 20px
      border: none
      color: $button-modal

  .select-list
    height: 145px
    width: 292px
    padding-top: 0
    margin-left: -40%
  .select-list--item
    margin: 15px 13px 10px 13px

    border: 1px solid transparent

    &:hover
      border: 1px solid $select-list-hover
      border-radius: 5px

.navigation-list
  position: fixed
  margin-top: 30px

.modal-top
  width: 100%
  flex: none
  align-items: center
  justify-content: flex-end

.ModalCheckBox
  box-sizing: border-box
  height: 16.5px
  width: 17px
  border: 1px solid $button-modal
  border-radius: 3px
  display: inline-flex
  align-items: center
  justify-content: center
  cursor: pointer
  margin-right: 20px

  svg
    width: 17px
    height: 15px
.checkbox-item
  display: flex
  margin-top: 40px
  margin-bottom: 10%
  color: $button-modal

.btn-modal
  width: 100%
  height: 39px
  border-radius: 8px
  background-color: $button-modal
  border: none
  color: #ffffff
  font-size: 15px
  margin-top: 10%
  text-transform: uppercase
  cursor: pointer

.dropzone
  width: 292px
  height: 235px
  border: 1px dashed $dropzone-background
  border-radius: 10px
  display: flex
  flex-direction: column

  input
    display: none

  span
    color: $dropzone-background
    margin: 0 auto
    padding-top: 5%
    padding-bottom: 8%

  button
    background-color: $font-online-name
    border: none
    font-size: 13px
    width: 150px
    color: #ffffff
    height: 35px
    border-radius: 8px
    text-transform: uppercase
    display: block
    margin: 0 auto
.addLink
  position: absolute
  margin-top: -40px
  margin-left: 60%
  cursor: pointer

.popup-container
  display: flex

.addLinkGrey
  position: absolute
  margin-top: -40px
  margin-left: 60%
  svg
    g
      path
        fill: $plan-color

.tool-tip
  position: absolute
  margin-top: 8px
  margin-left: 22%
  &.error
    svg
      g
        path
          fill: $error-message!important

.tool-tip
  &:hover
    .tool-tip-text, .tool-tip-text-assignment
      display: block
      position: absolute
      top: -93px
      z-index: 9999
      width: 176px
    .tool-tip-text-assignment
      top: -44px



.tool-tip-text, .tool-tip-text-assignment
  position: relative
  display: none
  margin-left: 39px
  padding: 20px
  color: #ffffff
  margin-top: 17px
  background: $header-blue
  border-radius: 10px
  height: auto
  font-family: "Titillium Web"
  font-size: 11px
  font-weight: 600
  line-height: 16px
  &::before
    content: ''
    position: absolute
    left: -16px
    bottom: 24px
    border: 6px solid transparent
    border-right: 10px solid #0079C4

  span
    font-weight: 300

.keywords-workspace
  width: 100%
  display: flex
  flex-wrap: wrap
  align-content: flex-start
  height: auto
  min-height: 150px
  border: 1px dashed $dropzone-background
  border-radius: 10px

  .img-wrapper
    background-color: $key-word-background
    border: 1px solid $img-border
    border-radius: 7px
    min-height: 34px
    display: flex
    width: auto
    margin-top: 10px
    margin-left: 10px

    .img-wrapper__keywords
      align-items: center
      display: flex
      padding-left: 10px
      p
        max-width: 218px
        white-space: nowrap
        overflow: hidden
        text-overflow: ellipsis
    img
      margin-left: 20px
      margin-right: 5px
      height: 15px
      cursor: pointer

.student-assessment
  width: 67%
  display: flex
  margin: 0 auto
  flex-direction: column
  justify-content: space-between

  .attendance-container
    display: flex
    flex-direction: column
    width: 80%
    margin-top: 10%
    justify-content: space-between
    .attendance-ranks
      margin-top: 20%
    .attendance-block
      display: flex
      align-items: center
      height: 40px
      justify-content: space-between
      width: 290px
      .attendance-date
        font-size: 14px
        line-height: 18px
        color: $profile-title
      .attendance-rate
        display: flex
        justify-content: center
        width: 65%
        &:before
          content: ''
          position: absolute
          left: 0
          right: 0
          height: 15px
          width: 100%
          z-index: 10

        .attendance-stars
          margin: 0
          width: 50%
          span
            margin-left: 4%
      .attendance-status-student
        width: 5%
        justify-content: center
        display: flex
        z-index: 10
        &:hover
          .tool-tip-text
            display: block
            position: absolute
            z-index: 9999
            width: 80px
            height: 10px
            text-align: center

            border-radius: 0
            margin-top: 20px
            margin-left: 0
            background-color: $table-header-color
            color: $text-light-grey
            padding: 0
            padding-bottom: 10px
            &::before
              display: none
        img
          height: 14px
    .attendance-status
      height: 35px
      flex-direction: row
      display: flex
      justify-content: space-between
      p
       color: $profile-title
       font-size: 15px
       letter-spacing: 0.29px
       line-height: 23px

      .attendance-mark
        color: $button-primary
        font-size: 15px
        letter-spacing: 0.29px
        line-height: 23px

  .student-info
    margin-top: 10%
    margin-bottom: 10%
    input, textarea
      cursor: text

    .assignment-mark
      padding-bottom: 5%
      border-bottom: 1px solid $dropzone-background
      width: 45%
      display: flex
      flex-direction: column-reverse

  .date-container
    display: flex
    justify-content: space-between

    .date-picker
      width: 45%
      display: flex
      padding-bottom: 10px
      border-bottom: 1px solid $dropzone-background
      img
        padding-right: 5px
        position: static
      p
        display: flex
        color: #666
        align-items: center
        font-size: 15px
        letter-spacing: 0.29px
        line-height: 23px

  .dropzone
    width: 292px
    margin-top: 20%
    min-height: 235px
    border: 1px dashed #C6D0DA
    border-radius: 10px
    display: flex
    height: auto
    padding-bottom: 50px
    flex-wrap: wrap
    flex-direction: row
    overflow: hidden
    justify-content: space-around

    .img-background
      margin-top: 10%
      display: flex
      border-radius: 5px
      justify-content: center
      align-items: center
      flex-direction: column
      height: 40px
      width: 40px
      border: 1px dashed $dropzone-background
      span
        width: 40px
        text-overflow: ellipsis
        font-size: 10px
        text-align: center
        position: absolute
        overflow: hidden
        white-space: nowrap
        margin-top: 10%
        padding: 0
        
  .group-work
    margin-top: 10%
    .leader
      display: flex
      justify-content: center
      align-items: center
    .leader
      &:before
        content: '\2605'
        position: absolute
        color: yellow
        padding-left: 12px
        z-index: 10
        padding-top: 13px


    p
      font-size: 15px
      letter-spacing: 0.29px
      line-height: 23px
      color: $head-link

    .student
      display: flex
      margin-top: 5%
      p
        display: flex
        align-items: center
        margin-left: 5%
        color: $profile-title
      img
        height: 30px
        width: 30px
        border-radius: 100px